org.appng.xml.platform

## Class FieldDef

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.FieldDef

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    FieldWrapper

      public class FieldDef
      extends BaseObject
      implements Serializable

  A `FieldDef`inition maps a property of a Java-object to it's XML-representation and vice versa. When reading/writing a value from/to an Object, the field's `binding` is used to do this via the JavaBeans API.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `binding`
    `protected Condition` | `condition`
    `protected BigInteger` | `displayLength`
    `protected List<FieldDef>` | `fields`
    `protected String` | `format`
    `protected String` | `hidden`
    `protected List<Icon>` | `icons`
    `protected Label` | `label`
    `protected Messages` | `messages`
    `protected String` | `name`
    `protected List<FieldPermissions>` | `permissions`
    `protected String` | `readonly`
    `protected Sort` | `sort`
    `protected Label` | `tooltip`
    `protected FieldType` | `type`
    `protected Validation` | `validation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldDef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBinding()` This is the name of the property used with the JavaBeans API.
    `Condition` | `getCondition()` Gets the value of the condition property.
    `BigInteger` | `getDisplayLength()` The maximum number of characters when displaying the field's value as string.
    `List<FieldDef>` | `getFields()` Gets the value of the fields property.
    `String` | `getFormat()` The format used for this field, presuming the `type` supports formatting.
    `String` | `getHidden()` If evaluating to `true`, the field will not be visible to the user.
    `List<Icon>` | `getIcons()` Gets the value of the icons property.
    `Label` | `getLabel()` Gets the value of the label property.
    `Messages` | `getMessages()` Gets the value of the messages property.
    `String` | `getName()` The name of the field.
    `List<FieldPermissions>` | `getPermissions()` Gets the value of the permissions property.
    `String` | `getReadonly()` If evaluating to `true`, the field's value is readonly.
    `Sort` | `getSort()` Gets the value of the sort property.
    `Label` | `getTooltip()` Gets the value of the tooltip property.
    `FieldType` | `getType()` The `FieldType`, which decides about how the field is being displayed.
    `Validation` | `getValidation()` Gets the value of the validation property.
    `void` | `setBinding(String value)` Sets the value of the binding property.
    `void` | `setCondition(Condition value)` Sets the value of the condition property.
    `void` | `setDisplayLength(BigInteger value)` Sets the value of the displayLength property.
    `void` | `setFormat(String value)` Sets the value of the format property.
    `void` | `setHidden(String value)` Sets the value of the hidden property.
    `void` | `setLabel(Label value)` Sets the value of the label property.
    `void` | `setMessages(Messages value)` Sets the value of the messages property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setReadonly(String value)` Sets the value of the readonly property.
    `void` | `setSort(Sort value)` Sets the value of the sort property.
    `void` | `setTooltip(Label value)` Sets the value of the tooltip property.
    `void` | `setType(FieldType value)` Sets the value of the type property.
    `void` | `setValidation(Validation value)` Sets the value of the validation property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sort

          protected Sort sort

    - #### label

          protected Label label

    - #### tooltip

          protected Label tooltip

    - #### icons

          protected List<Icon> icons

    - #### condition

          protected Condition condition

    - #### permissions

          protected List<FieldPermissions> permissions

    - #### validation

          protected Validation validation

    - #### messages

          protected Messages messages

    - #### fields

          protected List<FieldDef> fields

    - #### name

          protected String name

    - #### type

          protected FieldType type

    - #### displayLength

          protected BigInteger displayLength

    - #### format

          protected String format

    - #### readonly

          protected String readonly

    - #### hidden

          protected String hidden

    - #### binding

          protected String binding

  - ### Constructor Detail

    - #### FieldDef

          public FieldDef()

  - ### Method Detail

    - #### getSort

          public Sort getSort()

      Gets the value of the sort property.
      Returns:
        possible object is `Sort`

    - #### setSort

          public void setSort(Sort value)

      Sets the value of the sort property.
      Parameters:
        `value` - allowed object is `Sort`

    - #### getLabel

          public Label getLabel()

      Gets the value of the label property.
      Returns:
        possible object is `Label`

    - #### setLabel

          public void setLabel(Label value)

      Sets the value of the label property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getTooltip

          public Label getTooltip()

      Gets the value of the tooltip property.
      Returns:
        possible object is `Label`

    - #### setTooltip

          public void setTooltip(Label value)

      Sets the value of the tooltip property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getIcons

          public List<Icon> getIcons()

      Gets the value of the icons property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icons property.

      For example, to add a new item, do as follows:

              getIcons().add(newItem);

      Objects of the following type(s) are allowed in the list `Icon`

    - #### getCondition

          public Condition getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `Condition`

    - #### setCondition

          public void setCondition(Condition value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `Condition`

    - #### getPermissions

          public List<FieldPermissions> getPermissions()

      Gets the value of the permissions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the permissions property.

      For example, to add a new item, do as follows:

              getPermissions().add(newItem);

      Objects of the following type(s) are allowed in the list `FieldPermissions`

    - #### getValidation

          public Validation getValidation()

      Gets the value of the validation property.
      Returns:
        possible object is `Validation`

    - #### setValidation

          public void setValidation(Validation value)

      Sets the value of the validation property.
      Parameters:
        `value` - allowed object is `Validation`

    - #### getMessages

          public Messages getMessages()

      Gets the value of the messages property.
      Returns:
        possible object is `Messages`

    - #### setMessages

          public void setMessages(Messages value)

      Sets the value of the messages property.
      Parameters:
        `value` - allowed object is `Messages`

    - #### getFields

          public List<FieldDef> getFields()

      Gets the value of the fields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fields property.

      For example, to add a new item, do as follows:

              getFields().add(newItem);

      Objects of the following type(s) are allowed in the list `FieldDef`

    - #### getName

          public String getName()

      The name of the field.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public FieldType getType()

      The `FieldType`, which decides about how the field is being displayed.
      Returns:
        possible object is `FieldType`

    - #### setType

          public void setType(FieldType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `FieldType`

    - #### getDisplayLength

          public BigInteger getDisplayLength()

      The maximum number of characters when displaying the field's value as string.
      Returns:
        possible object is `BigInteger`

    - #### setDisplayLength

          public void setDisplayLength(BigInteger value)

      Sets the value of the displayLength property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getFormat

          public String getFormat()

      The format used for this field, presuming the `type` supports formatting.
      Returns:
        possible object is `String`

    - #### setFormat

          public void setFormat(String value)

      Sets the value of the format property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReadonly

          public String getReadonly()

      If evaluating to `true`, the field's value is readonly.
      Returns:
        possible object is `String`

    - #### setReadonly

          public void setReadonly(String value)

      Sets the value of the readonly property.
      Parameters:
        `value` - allowed object is `String`

    - #### getHidden

          public String getHidden()

      If evaluating to `true`, the field will not be visible to the user.
      Returns:
        possible object is `String`

    - #### setHidden

          public void setHidden(String value)

      Sets the value of the hidden property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBinding

          public String getBinding()

      This is the name of the property used with the JavaBeans API. If no value is set, the binding is the combination of `MetaData.getBindClass()` (if any, separated with a dot) and the field's name.
      Returns:
        possible object is `String`

    - #### setBinding

          public void setBinding(String value)

      Sets the value of the binding property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.